Viewing Issue Advanced Details Jump to Notes ] namcos21.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05313 DIP/Input Major Always Sep 26, 2013, 21:53 Dec 28, 2016, 19:19
Tester scoobydude51 View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver namcos21.cpp
Version 0.150 Fixed in Version 0.182 Build Normal
Summary 05313: winrun, winrun91, winrungp,driveyes: Misplaced Controls
Description it seems like the button for gas for the Winning Run sets are set for AD Stick Y Analog.


AD Stick Y Analog as Gas Button

P! Button 1 as Shift Up

P1 Button 2 as Shift Down

Brake Button Stick Z Analog

all tested controls in service mode
Steps To Reproduce
Additional Information Driver's Eyes is a NOT WORKING game, but I bet the controls are the same.
Flags
Regression Version
Affected Sets / Systems winrun, winrun91, winrungp,driveyes
Attached Files
 


-  Notes
User avatar
No.09852
Fujix
(Administrator)
Sep 28, 2013, 05:22
What's wrong with the AD Stick Y Gas?
User avatar
No.09857
scoobydude51
(Tester)
Sep 29, 2013, 00:48
it is the wrong command. it should be a gas pedal. same thing with the brake.


the shift commands should say shift up and shift down (not button 1 and button 2).

the steering should say dial instead of AD Stick Y (the gas is Y axis while the steering is the X axis)
User avatar
No.09858
NekoEd
(Senior Tester)
Sep 29, 2013, 01:40
Not sure about this one, so I'm going to mark it "Direction Needed" and see what the devs think.
User avatar
No.09886
FMecha - aka ArtLine
(Tester)
Oct 19, 2013, 16:06
edited on: Oct 19, 2013, 16:07
// the default inc/dec analog keys have been chosen to map 'tank' style inputs found on Assault.
// this makes the game easier to use with the keyboard, providing a familiar left/right stick mapping
// ports are limited to 10/ef because otherwise, even when calibrated, the game will act as if the
// inputs wrap around when they hit the maximum, causing undesired movement

Seems by design. Then again, I seem unable to play driveyes using manual transmission because there is no way to shift.

User avatar
No.13512
Kale
(Developer)
Dec 28, 2016, 19:18
Mapping fixed for all 4 games.
And for the default inputs part: it's something the user is supposed to change to whatever is his available HW.